List all messages
curl --request GET \
--url https://app.rookoo.ai/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messagesconst options = {method: 'GET'};
fetch('https://app.rookoo.ai/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messages"
response = requests.get(url)
print(response.text)[
{
"id": "<string>",
"content": "<string>",
"message_type": "<string>",
"content_type": "<string>",
"content_attributes": "<string>",
"created_at": "<string>",
"conversation_id": "<string>",
"attachments": [
{}
],
"sender": {}
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Messages API
List all messages
List all messages in the conversation
GET
/
public
/
api
/
v1
/
inboxes
/
{inbox_identifier}
/
contacts
/
{contact_identifier}
/
conversations
/
{conversation_id}
/
messages
List all messages
curl --request GET \
--url https://app.rookoo.ai/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messagesconst options = {method: 'GET'};
fetch('https://app.rookoo.ai/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messages"
response = requests.get(url)
print(response.text)[
{
"id": "<string>",
"content": "<string>",
"message_type": "<string>",
"content_type": "<string>",
"content_attributes": "<string>",
"created_at": "<string>",
"conversation_id": "<string>",
"attachments": [
{}
],
"sender": {}
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Path Parameters
The identifier obtained from API inbox channel
The source id of contact obtained on contact create
The numeric ID of the conversation
Response
Success
Id of the message
Text content of the message
Denotes the message type
Content type of the message
Additional content attributes of the message
Created at time stamp of the message
Conversation Id of the message
Attachments if any
Details of the sender